﻿/*=============================
  anchor-offset
==============================*/
.anchor-offset {
    padding-top: 160px;
    margin-top: 160px;
}
/*=============================
  section
==============================*/
.section-30 {
    padding: 30px;
}
.section-50 {
    padding: 50px;
}
.section-40 {
    padding: 40px;
}
.width-90 {
    width:90%;
    margin:0 auto;
}
/*=============================
    grid -2
==============================*/
/* Grid */
.grid-2 {
    display: grid;
    grid-template-columns: 50% 50%;
    gap: 10px;
    margin-top: 20px;
    padding: 0px 10px;
}

    /* Service Card */
    .grid-2 > div {
        background: #fff;
        border: 1px solid #e5e5e5;
        border-radius: 10px;
        padding: 18px;
        transition: all .3s ease;
        height: 100%;
    }

        .grid-2 > div:hover {
            box-shadow: 0 8px 20px rgba(0,0,0,.08);
            transform: translateY(-4px);
        }
/*=============================
    grid -60-40
==============================*/
/* Grid */
.grid-60-40 {
    display: grid;
    grid-template-columns: 60% 40%;
    gap: 10px;
    padding: 0px 10px;
}

    /* Service Card */
    .grid-60-40 > div {
        background: #fff;
        border: 0px solid #e5e5e5;
        border-radius: 10px;
        padding: 18px;
        transition: all .3s ease;
        height: 100%;
    }

        .grid-60-40 > div:hover {
            box-shadow: 0 8px 20px rgba(0,0,0,.08);
            transform: translateY(-4px);
        }
    .grid-60-40.no-hover > div {
        transition: none !important;
    }
/*=============================
    grid -20-80
==============================*/
/* Grid */
.grid-20-80 {
    display: grid;
    grid-template-columns: 20% 80%;
    gap: 10px;
    padding: 0px 10px;
}

    /* Service Card */
    .grid-20-80 > div {
        background: #fff;
        border: 0px solid #e5e5e5;
        border-radius: 10px;
        padding: 18px;
        transition: all .3s ease;
        height: 100%;
    }

        .grid-20-80 > div:hover {
            box-shadow: 0 8px 20px rgba(0,0,0,.08);
            transform: translateY(-4px);
        }
/*=============================
    grid -13-85
==============================*/
/* Grid */
.grid-13-85 {
    display: grid;
    grid-template-columns: 18% 80%;
    gap: 2px;
    padding: 0px 10px;
}

    /* Service Card */
    .grid-13-85 > div {
        background: #fff;
        border: 0px solid #e5e5e5;
        border-radius: 10px;
        padding: 4px;
        transition: all .3s ease;
        height: 100%;
    }

        .grid-13-85 > div:hover {
            box-shadow: 0 8px 20px rgba(0,0,0,.08);
            transform: translateY(-4px);
        }
/*=============================
    grid -80-20
==============================*/
/* Grid */
.grid-80-20 {
    display: grid;
    grid-template-columns:80% 20%;
    gap: 2px;
    padding: 0px 10px;
}

    /* Service Card */
    .grid-80-20 > div {
        background: #fff;
        border: 0px solid #e5e5e5;
        border-radius: 10px;
        padding: 4px;
        transition: all .3s ease;
        height: 100%;
    }

        .grid-80-20 > div:hover {
            box-shadow: 0 8px 20px rgba(0,0,0,.08);
            transform: translateY(-4px);
        }
/*=============================
    grid 5-4-3-2
==============================*/
/* Grid */
.grid-5-4-3-2 {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 20px;
    margin-top: 20px;
    padding: 0px 30px;
}

    /* Service Card */
    .grid-5-4-3-2 > div {
        background: #fff;
        border: 1px solid #e5e5e5;
        border-radius: 10px;
        padding: 18px;
        transition: all .3s ease;
        height: 100%;
    }

        .grid-5-4-3-2 > div:hover {
            box-shadow: 0 8px 20px rgba(0,0,0,.08);
            transform: translateY(-4px);
        }
/*=============================
    grid 5-2-1
==============================*/
/* Grid */
.grid-5-2-1 {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 20px;
    margin-top: 20px;
    padding: 0px 30px;
}

    /* Service Card */
    .grid-5-2-1 > div {
        background: #fff;
        border: 1px solid #e5e5e5;
        border-radius: 10px;
        padding: 18px;
        transition: all .3s ease;
        height: 100%;
    }

        .grid-5-2-1 > div:hover {
            box-shadow: 0 8px 20px rgba(0,0,0,.08);
            transform: translateY(-4px);
        }
/*=============================
    grid 4-2-1
==============================*/
/* Grid */
.grid-4-2-1 {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
    margin-top: 20px;
    padding: 0px 30px;
}

    /* Service Card */
    .grid-4-2-1 > div {
        background: #fff;
        border: 1px solid #e5e5e5;
        border-radius: 10px;
        padding: 18px;
        transition: all .3s ease;
        height: 100%;
    }

        .grid-4-2-1 > div:hover {
            box-shadow: 0 8px 20px rgba(0,0,0,.08);
            transform: translateY(-4px);
        }
/*=============================
    grid 3-3-1
==============================*/
.grid-3-3-1 {
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 30px;
    margin-top: 60px;
    padding: 0px 30px;
}
/*=============================
    grid 4-3-1
==============================*/
.grid-4-3-1 {
    display: grid;
    grid-template-columns: repeat(4,1fr);
    gap: 30px;
    margin-top: 60px;
    padding: 0px 30px;
}
.grid-link {
    text-decoration: none;
    color: #333;
    display: block;
}

    .grid-link img {
        width: 50px;
        height: 50px;
        margin-bottom: 10px;
    }
    .grid-link p {
        font-size: 14px;
        color: #666;
        margin: 0;
        line-height: 1.6;
    }
.grid-name {
    display: block;
    font-size: 16px;
    font-weight: 600;
    color: #222;
    margin-bottom: 8px;
}


.inner-box {
    position: relative;
    background: #fff;
    border-radius: 25px;
    padding: 45px 30px;
    text-align: center;
    overflow: hidden;
    transition: all .5s ease;
    box-shadow: 0 10px 40px rgba(0,0,0,.08);
    transform-style: preserve-3d;
}

    /* Animated Top Border */
    .inner-box::before {
        content: '';
        position: absolute;
        top: 0;
        left: -100%;
        width: 100%;
        height: 4px;
        background: linear-gradient( 90deg, transparent, #0d6efd, #00d4ff, transparent );
        animation: borderFlow 4s linear infinite;
    }

@keyframes borderFlow {
    100% {
        left: 100%;
    }
}

/* Background Glow */
.inner-box::after {
    content: '';
    position: absolute;
    width: 180px;
    height: 180px;
    border-radius: 50%;
    background: rgba(13,110,253,.05);
    top: -80px;
    right: -80px;
    transition: .5s;
}

.inner-box:hover::after {
    transform: scale(1.3);
}

/* 3D Hover */
.inner-box:hover {
    transform: perspective(1000px) rotateX(5deg) rotateY(-5deg) translateY(-15px);
    box-shadow: 0 25px 60px rgba(13,110,253,.15);
}
/*=============================
    CONTENT
==============================*/

.inner-box h3 {
    font-size: 24px;
    font-weight: 700;
    color: #1a1a1a;
    margin-bottom: 15px;
}

    .inner-box h3 a {
        color: #1a1a1a;
        text-decoration: none;
        transition: .3s;
    }

.inner-box:hover h3 a {
    color: #0d6efd;
}

.inner-box p {
    color: #666;
    line-height: 1.8;
    font-size: 15px;
    margin-bottom: 20px;
}
/*=============================
    ICON AREA
==============================*/




.grid-card {
    position: relative;
    background: #fff;
    border-radius: 25px;
    padding: 15px;
    text-align: center;
    overflow: hidden;
    transition: all .5s ease;
    box-shadow: 0 10px 40px rgba(0,0,0,.08);
    transform-style: preserve-3d;
}

.card-img {
    width: 150px;
    padding: 10px 30px;
}
.grid-card h3 {
    font-size: 24px;
    font-weight: 700;
    color: #1a1a1a;
    margin-bottom: 15px;
}
.grid-card h4 {
    font-size: 16px;
    font-weight: 700;
    color: #1a1a1a;
    margin-bottom: 15px;
}
.grid-card p {
    color: #666;
    line-height: 1.8;
    font-size: 15px;
    margin-bottom: 18px;
    display: -webkit-box;
    -webkit-line-clamp: 3; /* Show only 3 lines */
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    min-height: 81px; /* Optional: keeps all cards equal height */
}
.card-btn-right {
    display: flex;
    justify-content: flex-end;
}
.grid-card .card-btn {
    display: inline-flex;
    align-items: center;
    gap: 8px;
    color: #0d6efd;
    font-size: 15px;
    font-weight: 600;
    text-decoration: none;
    transition: all 0.35s ease;
    position: relative;
}

    .grid-card .card-btn:hover {
        color: #0056d6;
    }

    .grid-card .card-btn i {
        margin-left: 5px;
        transition: transform 0.35s ease;
    }
    .grid-card .card-btn:hover i {
        transform: translateX(8px);
    }


    .grid-card .card-btn::after {
        width: 100%;
    }
/*=============================
   FAQ Section
==============================*/
.faq {
    max-width: 900px;
    margin: 40px auto;
}

.faq-item {
    background: #fff;
    border: 1px solid #e5e5e5;
    border-radius: 10px;
    margin-bottom: 15px;
    overflow: hidden;
    transition: all 0.3s ease;
    box-shadow: 0 3px 10px rgba(0,0,0,0.05);
}

    .faq-item h4 {
        margin: 0;
        padding: 18px 50px 18px 20px;
        font-size: 18px;
        font-weight: 600;
        color: #222;
        cursor: pointer;
        position: relative;
        background: #f8f9fa;
        transition: 0.3s;
    }

        .faq-item h4:hover {
            background: #0d6efd;
            color: #fff;
        }

        .faq-item h4::after {
            content: "+";
            position: absolute;
            right: 20px;
            top: 50%;
            transform: translateY(-50%);
            font-size: 26px;
            font-weight: bold;
        }

    .faq-item.active h4::after {
        content: "−";
    }

    .faq-item p {
        margin: 0;
        padding: 0 20px;
        max-height: 0;
        overflow: hidden;
        line-height: 1.7;
        color: #555;
        transition: all .4s ease;
    }

    .faq-item.active p {
        padding: 20px;
        max-height: 300px;
    }
@media (max-width: 1400px) {
    .grid-5-4-3-2 {
        grid-template-columns: repeat(4, 1fr);
        gap: 16px;
    }

    .grid-4-2-1 {
        grid-template-columns: repeat(3, 1fr);
        gap: 10px;
    }
    .grid-13-85 {
        display: grid;
        grid-template-columns: 22% 78%;
        gap: 2px;
        padding: 0px 10px;
    }
}
/* 1050 */
@media (max-width: 1050px) {
    .grid-5-4-3-2 {
        grid-template-columns: repeat(4, 1fr);
        gap: 16px;
    }
    .grid-4-2-1 {
        grid-template-columns: repeat(3, 1fr);
        gap: 10px;
    }
}
/* Tablet */
@media (max-width: 991px) {
    .grid-5-2-1 {
        grid-template-columns: repeat(3, 1fr);
        gap: 16px;
    }
    .grid-5-4-3-2 {
        grid-template-columns: repeat(3, 1fr);
        gap: 16px;
    }
   
}
@media(max-width:767px) {

    .icon-box {
        width: 100px;
        height: 100px;
    }

        .icon-box i {
            font-size: 38px;
        }
    .grid-4-2-1 {
        grid-template-columns: repeat(2, 1fr);
        gap: 10px;
    }
}
/* Mobile */
@media (max-width: 576px) {
    .grid-5-2-1 .grid-5-4-3-2 .grid-4-2-1 {
        grid-template-columns: repeat(2, 1fr);
        gap: 12px;
    }

        .grid-5-2-1 > div {
            padding: 15px;
        }
    .grid-3-3-1 {
       
        grid-template-columns: repeat(2,1fr) !important;
        gap: 15px;
    }
    
    .grid-name {
        font-size: 15px;
    }

    .gird-link p {
        font-size: 13px;
    }
    .grid-4-2-1 {
        grid-template-columns: repeat(1, 1fr);
        gap: 10px;
    }
}


